Jump to content

"Первые шаги": как преобразовать Text в MText? Где справка?


Recommended Posts

Пытаюсь сваять первый простейший скрипт в Нанокаде. У меня есть объект Текст, мне нужно вместо него положить объект МТекст, на тех же координатах, того же размера и так далее. Поскольку знаю только VBA, то и писать надо Visual Basic Script.

Первое, что мне нужно сделать - выбрать объект на чертеже.

Открываю руководство разработчика, "Справочное руководство nanoCAD ActiveX API", нахожу там раздел 'GetEntity Method', пишу следующий текст:

 

Dim entTxt, entMTxt
Dim pt

ThisDrawing.Utility.GetEntity entTxt, pt, "Укажите объект"

if entTxt.EntityName <> "AcDbText" then ThisDrawing.Utility.Prompt "Это не текст!"
else
AddMText(pt, width, text)
end if

 

И, собсно, это всё, что я смог найти в справке "без посторонней помощи". Даже про AddMText я узнал из какой-то статьи в интернете. А дальше? Как установить параметры этого MText'a, тот же самый width, например? Как удалить существующий текст? Где, в каком разделе справки это искать? В ней даже объектов таких - Text,MText - нету... Куды дальше рыть?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

  • Tell a friend

    Love Официальный форум компании Нанософт? Tell a friend!
×
×
  • Create New...